Bug 1653103

Summary: transifex-client has missing and broken python3 dependencies
Product: [Fedora] Fedora Reporter: Andrew Gunnerson <chillermillerlong>
Component: transifex-clientAssignee: Luis Bazan <bazanluis20>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: bazanluis20, chillermillerlong, diegobz, domingobecker, echevemaster
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: transifex-client-0.13.5-5.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-12-06 03:56:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1653793    
Bug Blocks:    

Description Andrew Gunnerson 2018-11-25 19:50:54 UTC
Description of problem:

transifex is missing a dependency on python3-requests, which prevents the program from working at all. It also conflicts with the version of python3-urllib3 in Fedora.

Version-Release number of selected component (if applicable):

transifex-client-0.13.5-4.fc29.noarch

How reproducible:

Always

Steps to Reproduce:
1. Install transifex-client on a system that doesn't have python3-requests or python3-urllib3 installed.
2. Run the "tx" command.

Actual results:

---
[root@59311f59217f builder]# tx
...
pkg_resources.DistributionNotFound: The 'requests<3.0.0,>=2.19.1' distribution was not found and is required by transifex-client
---

After installing python3-requests, then it fails with:

---
[root@59311f59217f builder]# tx --help
...
pkg_resources.DistributionNotFound: The 'urllib3<1.24' distribution was not found and is required by transifex-client
[root@59311f59217f builder]# rpm -q python3-urllib3
python3-urllib3-1.24.1-2.fc29.noarch
---

Expected results:

The command should be able to run successfully.

Comment 1 Fedora Update System 2018-11-29 18:21:59 UTC
transifex-client-0.13.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-240eeb757c

Comment 2 Fedora Update System 2018-11-29 18:22:09 UTC
transifex-client-0.13.5-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cc8d6d811e

Comment 3 Fedora Update System 2018-11-30 03:18:09 UTC
transifex-client-0.13.5-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-240eeb757c

Comment 4 Fedora Update System 2018-11-30 15:12:48 UTC
transifex-client-0.13.5-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cc8d6d811e

Comment 5 Fedora Update System 2018-12-06 03:56:53 UTC
transifex-client-0.13.5-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.